aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-06 22:02:06 -0500
committerJulien Roy <julien@jroy.ca>2023-02-06 22:02:06 -0500
commitbbfd23376697da7038eb9ed019102fab7f3611a6 (patch)
tree9d41b241b3e8251cfd80526918053598d12f75b8 /dev-python
parent61dfab2667751d6ee986a144d444a73689ccdab5 (diff)
downloadMrRoy-Overlay-bbfd23376697da7038eb9ed019102fab7f3611a6.tar.gz
MrRoy-Overlay-bbfd23376697da7038eb9ed019102fab7f3611a6.tar.bz2
MrRoy-Overlay-bbfd23376697da7038eb9ed019102fab7f3611a6.zip
dev-python/zope-principalregistry: new package, add 4.3
Signed-off-by: Julien Roy <julien@jroy.ca>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/zope-principalregistry/Manifest1
-rw-r--r--dev-python/zope-principalregistry/metadata.xml22
-rw-r--r--dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild54
3 files changed, 77 insertions, 0 deletions
diff --git a/dev-python/zope-principalregistry/Manifest b/dev-python/zope-principalregistry/Manifest
new file mode 100644
index 0000000..906b2b6
--- /dev/null
+++ b/dev-python/zope-principalregistry/Manifest
@@ -0,0 +1 @@
+DIST zope-principalregistry-4.3.gh.tar.gz 20166 BLAKE2B 5d20362d4fbe0a7c12d95650128dc634ad4832faa2952d1ffbee87f329abf3dea5262807c67f08b97c0285d7b2a19dc47ca31c80f0bbcf78a2df5c7b60ee01f2 SHA512 28f498837df72684fc07da9d7bc6775d9be4b7bf1d235173ad3a5bd33da6e6d92a57c9b740d8dfbe0998859344ab312c83daa3038a21874809aa36a45f788c2f
diff --git a/dev-python/zope-principalregistry/metadata.xml b/dev-python/zope-principalregistry/metadata.xml
new file mode 100644
index 0000000..6542e03
--- /dev/null
+++ b/dev-python/zope-principalregistry/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This package provides an authentication utility for zope.authentication that uses a simple non-persistent principal registry. This is typically registered as a global utility, and it is usually configured in ZCML.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.principalregistry/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.principalregistry/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopeprincipalregistry.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.principalregistry</remote-id>
+ <remote-id type="pypi">zope.principalregistry</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild b/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild
new file mode 100644
index 0000000..4114cd6
--- /dev/null
+++ b/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Global principal registry component for Zope 3"
+HOMEPAGE="https://github.com/zopefoundation/zope.principalregistry"
+SRC_URI="https://github.com/zopefoundation/zope.principalregistry/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/zope-authentication[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-password[${PYTHON_USEDEP}]
+ dev-python/zope-security[${PYTHON_USEDEP}]
+ doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}